"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const connections_1 = require("../../lib/connections");
class Login extends command_1.Command {
    async run() {
        const { args } = this.parse(Login);
        try {
            const { id = "", baseUrl = "", userName = "", password = "" } = args;
            connections_1.saveConnection({ id, baseUrl, userName, password });
            this.log(`Connection ${id} created/updated`);
        }
        catch (error) {
            this.log(error.toString());
        }
    }
}
exports.default = Login;
Login.description = "Store the server and user details";
Login.examples = [
    "$ abapPretty login MYCONN http://myserver:8000 myuser mypass"
];
Login.args = [
    {
        name: "id",
        required: true,
        description: "connection ID"
    },
    {
        name: "baseUrl",
        required: true,
        description: "Server base URL"
    },
    {
        name: "userName",
        required: true,
        description: "Username"
    },
    {
        name: "password",
        description: "User password. If not set will be asked on use",
        required: false
    }
];
