"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const cli_ux_1 = require("cli-ux");
const abap_adt_api_1 = require("abap-adt-api");
exports.PASSWORDFLAG = {
    password: command_1.flags.string({
        char: "p",
        description: "Password",
        default: ""
    })
};
exports.RECURSIVEFLAG = {
    recursive: command_1.flags.boolean({
        char: "r",
        description: "Password",
        default: false
    })
};
exports.TRANSPORT = {
    transport: command_1.flags.string({
        char: "t",
        description: "Transport",
        default: ""
    })
};
exports.COMMONFLAGS = Object.assign(Object.assign({}, exports.PASSWORDFLAG), exports.RECURSIVEFLAG);
exports.ALLCOMMONFLAGS = Object.assign(Object.assign(Object.assign({}, exports.PASSWORDFLAG), exports.RECURSIVEFLAG), exports.TRANSPORT);
exports.COMMONARGS = [
    {
        name: "id",
        required: true,
        description: "connection ID"
    },
    {
        name: "objectType",
        required: true,
        description: "Base object type"
    },
    {
        name: "objectName",
        required: true,
        description: "Base object name"
    }
];
async function getClient(conn, password) {
    password =
        password ||
            conn.password ||
            (await cli_ux_1.cli.prompt(`Password for user ${conn.userName} on ${conn.baseUrl}`, {
                type: "hide"
            }));
    const client = new abap_adt_api_1.ADTClient(conn.baseUrl, conn.userName, password);
    await client.login(); // trigger connection errror on bad details
    return client;
}
exports.getClient = getClient;
